in

Não é replay: Canonical atualiza kernel Linux para Ubuntu 18.04 LTS e 16.04 LTS

Atualização deve ser feita imediatamente.

Não é replay: Canonical atualiza kernel Linux para Ubuntu 18.04 LTS e 16.04 LTS

Virou moda: agora praticamente toda semana a Canonical atualiza o Kernel Linux para o Ubuntu 18.04 LTS e 16.04 também LTS. A descoberta de problemas (e felizmente a solução) ocorre em um período cada vez menor. O anúncio foi feito e aplicado pela Equipe de Segurança Ubuntu da Canonical. O novo patch resolve várias vulnerabilidades.

Duas dessas atualizações de kernel estão disponíveis para as séries de sistemas operacionais Ubuntu 18.04 LTS (Bionic Beaver) e Ubuntu 16.04.6 LTS (Xenial Xerus) executando a série Linux 4.15 LTS, bem como os sistemas Ubuntu 16.04 LTS executando a série Linux 4.4 LTS.

Dois problemas são comuns para as séries de kernel Linux 4.15 e 4.4

  1. uma falha (CVE-2020-11494) descoberta no driver de interface CAN serial que pode permitir que um invasor local exponha informações confidenciais (memória do kernel);
  2. e uma vulnerabilidade (CVE -2020-11565) que pode permitir que um invasor local com acesso especifique opções de montagem no sistema de arquivos de memória virtual tmpfs para travar o sistema causando uma negação de serviço.

Duas outras falhas foram corrigidas na série de kernel Linux 4.15 para os sistemas Ubuntu 18.04 LTS e Ubuntu 16.04.6 LTS. Estes são:

  1. CVE-2020-11669, descoberto por David Gibson e afetando apenas as CPUs Power9, permitindo que um invasor local em uma máquina virtual convidada cause uma negação de serviço e pane no sistema host;
  2. e o CVE-2020-12657, uma falha descoberta na camada de bloco do kernel Linux, que poderia permitir que um invasor local travasse o sistema ou executasse código arbitrário.

Não é replay: Canonical atualiza kernel Linux para Ubuntu 18.04 LTS e 16.04 LTS

Não é replay: Canonical atualiza kernel Linux para Ubuntu 18.04 LTS e 16.04 LTS

Por outro lado, a série de kernel Linux 4.4 para sistemas Ubuntu 16.04 LTS foi afetada por vários problemas (CVE-2020-11608CVE-2020-11609 e CVE-2020-11668) encontrados no driver de dispositivo da câmera OV51x USB, STV06XX USB Driver de dispositivo da câmera e driver de dispositivo Xirlink C-It USB Camera, que pode permitir que um invasor fisicamente próximo cause uma negação de serviço (falha no sistema).

Também estão corrigidas uma falha (CVE-2019-19060) descoberta no driver IMIS ADIS16400 IIO que pode permitir que um invasor local cause uma negação de serviço (esgotamento de memória) e um estouro de buffer de pilha (CVE-2020-10942) descoberto no Linux driver vhost net do kernel, que pode permitir que um invasor local com acesso a ioctl () chame /dev/vhost-net cause uma negação de serviço (falha no sistema).

Canonical atualiza kernel Linux para Ubuntu 18.04 LTS e 16.04 LTS

A Canonical recomenda que todos os usuários do Ubuntu 18.04 LTS e Ubuntu 16.04.6 LTS executando o kernel stock/HWE Linux 4.15 atualizem seus sistemas para linux-image 4.15.0-101.102 em máquinas de 64 bits ou 32 bits, e usuários do Ubuntu 16.04 LTS executando o kernel Linux 4.4 padrão para atualizar suas instalações para linux-image 4.4.0-179.209 em sistemas de 64 ou 32 bits.

As novas atualizações de segurança do kernel Linux também estão disponíveis para:

  • Amazon Web Services (AWS);
  • Amazon Web Services (AWS-HWE);
  • Google Container Engine (GKE);
  • Google Cloud Platform (GCP) e sistemas Oracle Cloud;
  • além de sistemas OEM, Processadores Qualcomm Snapdragon e sistemas Raspberry Pi (V7).

Para atualizar suas instalações para as novas versões do kernel, execute os comandos em um terminal:

sudo apt-get update && sudo apt-get dist-upgrade

Além disso, reinicie o sistema após a instalação da nova versão do kernel e reinstale os módulos de kernel de terceiros.

9to5 Linux

Escrito por Claylson Martins

Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão. Nas horas não muito vagas, professor, fotógrafo, apaixonado por rádio e natureza.